// 数据预录入接口
import request from '@/utils/request'

// 列表
export function getFactoryManagerList(data) {
  return request({
    url: `well/pre/listPage?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data
  })
}

// 新增
export function addFactoryManagerList(data) {
  return request({
    url: 'well/pre/add',
    method: 'post',
    data
  })
}

// 编辑
export function editFactoryManagerList(data) {
  return request({
    url: 'well/pre/update',
    method: 'post',
    data
  })
}

// 删除
export function delFactoryManagerList(data) {
  return request({
    url: 'well/pre/delete',
    method: 'post',
    data
  })
}

// 批量导入
export function importFactoryManagerList(fileobj) {
  const param = new FormData()
  param.append('file', fileobj)
  return request({
    url: 'well/pre/batchImport',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}
